Debian Bug report logs - #693361
gettext: FTBFS with eglibc-2.16 (due to outdated gnulibs and gets removal)

version graph

Package: gettext; Maintainer for gettext is Santiago Vila <sanvila@debian.org>; Source for gettext is src:gettext.

Reported by: Wookey <wookey@wookware.org>

Date: Thu, 15 Nov 2012 19:48:02 UTC

Severity: normal

Tags: experimental, patch, upstream

Fixed in version gettext/0.18.1.1-10

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#693361; Package gettext. (Thu, 15 Nov 2012 19:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. (Thu, 15 Nov 2012 19:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gettext: FTBFS with eglibc-2.16 (due to outdated gnulibs and gets removal)
Date: Thu, 15 Nov 2012 19:46:49 +0000
[Message part 1 (text/plain, inline)]
Package: gettext
Version: 0.18.1.1-10
Severity: normal
Tags: upstream experimental patch

gettext does not build against (e)glibc 2.16 because gets has been
removed but the 3(!) embedded copies of gnulib stdio.in.h files still
use it.

Links to the issue upstream are included in the debian/patch

A proper fix will be a new upstream release made with a newer version
of gnulib, but in the meantime this simple fix allows it to build, so
that eglibc 2.16 can be uploaded.

Fix found because I have to use eglibc2.16 for the arm64 bootstrap. 

-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[gettext-0.18.1.1-eglibc-2.16-ftbfs.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Wed, 28 Nov 2012 19:06:05 GMT) Full text and rfc822 format available.

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Sat, 08 Dec 2012 17:03:26 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Sat, 08 Dec 2012 17:03:26 GMT) Full text and rfc822 format available.

Message #12 received at 693361-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 693361-close@bugs.debian.org
Subject: Bug#693361: fixed in gettext 0.18.1.1-10
Date: Sat, 08 Dec 2012 17:00:11 +0000
Source: gettext
Source-Version: 0.18.1.1-10

We believe that the bug you reported is fixed in the latest version of
gettext, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693361@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated gettext package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 28 Nov 2012 17:14:44 +0100
Source: gettext
Binary: gettext-base gettext gettext-el gettext-doc autopoint libgettextpo0 libasprintf0c2 libgettextpo-dev libasprintf-dev
Architecture: source all amd64
Version: 0.18.1.1-10
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 autopoint  - The autopoint program from GNU gettext
 gettext    - GNU Internationalization utilities
 gettext-base - GNU Internationalization utilities for the base system
 gettext-doc - Documentation for GNU gettext
 gettext-el - Emacs po-mode for editing gettext .po files
 libasprintf-dev - GNU Internationalization library development files
 libasprintf0c2 - GNU library to use fprintf and friends in C++
 libgettextpo-dev - GNU Internationalization library development files
 libgettextpo0 - GNU Internationalization library
Closes: 683751 693361
Changes: 
 gettext (0.18.1.1-10) unstable; urgency=low
 .
   * Split out libgettextpo-dev and libasprintf-dev for multiarch
     dependencies. Thanks to P.J McDermott for core patch. Closes: #683751.
   * Fix FTBFS on eglibc-2.16 (gets removal/outdated gnulib). Closes: #693361.
   * Thanks a lot to Colin Watson and Wookey, as they did all the work.
   * Keep autosprintf.info.gz in gettext for now, for safety.
   * Note: This is a "conservative release" which tries to be nice with
     autobuilders using unstable. After the release of wheezy, the following
     changes will be made: a) Change gettext Depends on the new -dev packages
     to just Recommends, and b) Drop libgettextsrc.so and libgettextlib.so,
     as those libraries are for internal use only and not meant to be used
     by other packages. Those changes will be made *regardless* of this release
     entering wheezy or not. Debian derivatives (like Ubuntu) are welcome to
     do them now, as it is what will eventually happen in Debian.
Checksums-Sha1: 
 ff55157eaa9ac22165dc86ee66b22f458f3119c0 1900 gettext_0.18.1.1-10.dsc
 038c6da3c3ca8af6447fb0f39462f06cc48f7849 52889 gettext_0.18.1.1-10.debian.tar.gz
 35c857f7bcafae5d9b94e975f8e47709d7c00116 60498 gettext-el_0.18.1.1-10_all.deb
 e9d597ed9ae508208c3d26262652cc65d3010408 914392 gettext-doc_0.18.1.1-10_all.deb
 fde4351ddaf645ffb9bbefae124d979c7fa3a87b 629366 autopoint_0.18.1.1-10_all.deb
 4c08619c37b2f280f0414d230361cf9100e654fc 154044 gettext-base_0.18.1.1-10_amd64.deb
 577f046d92820711779151b45deb23665c7ff2e3 1814804 gettext_0.18.1.1-10_amd64.deb
 3d94577eb29fc06c834b8ec54e7e214d1c814218 145002 libgettextpo0_0.18.1.1-10_amd64.deb
 52224da53902e1eb339f72947bf23175e036fbcf 27172 libasprintf0c2_0.18.1.1-10_amd64.deb
 7a98080ae68539b2a602cef60574711aa195f35d 184210 libgettextpo-dev_0.18.1.1-10_amd64.deb
 6a6f20dad82e364b983ba1bd71a35674bc718118 26834 libasprintf-dev_0.18.1.1-10_amd64.deb
Checksums-Sha256: 
 56eed4b5dd17ec8955fa7411872d329387a4eb3680a787c1206c05ffe9e94384 1900 gettext_0.18.1.1-10.dsc
 610850011d64fcd9a9b2435a8ee44232faa940fff578998b7f1363e238ca4627 52889 gettext_0.18.1.1-10.debian.tar.gz
 42697da584252789476f015792354a422a4e5e1171e9ac18bfd1a9db72bde037 60498 gettext-el_0.18.1.1-10_all.deb
 50fe0e8b5d7efcd3ff6a313b04326a5906bd46f3862f008a655da3de6b6a48f7 914392 gettext-doc_0.18.1.1-10_all.deb
 a1de483c809c5bc2094821052d09cc9a0677a18e3dd14580a69670c7d5c6b6cd 629366 autopoint_0.18.1.1-10_all.deb
 b769b5b60e1152b127e7d6c399bbb7a73eb1f95a4073281009628434c523fc70 154044 gettext-base_0.18.1.1-10_amd64.deb
 4e7996f7d2b3207d585e88fc2a3b781460adb26eab862c1b329d4320a94c8f7e 1814804 gettext_0.18.1.1-10_amd64.deb
 eb3c21699b7cfcba30d0e14830b9d45dbb23564c4bf7d29c28a3a66d960bea86 145002 libgettextpo0_0.18.1.1-10_amd64.deb
 a9e0d827dd0ade2a18d3dc98920bcad24df9f8639dd64456a3cfb4e41572457e 27172 libasprintf0c2_0.18.1.1-10_amd64.deb
 64e0ad9de4760b4593df47a981fb35309ba8fd79998ae27d37c9c66f9fe03e09 184210 libgettextpo-dev_0.18.1.1-10_amd64.deb
 fc8c22bb307dc1f72367b17dd35f949272e99edc7096c9a298988c9394dcad1d 26834 libasprintf-dev_0.18.1.1-10_amd64.deb
Files: 
 38b1f2af7f96018829c571c599f8bfbf 1900 devel optional gettext_0.18.1.1-10.dsc
 8d37a883907af264908a338a29438bc5 52889 devel optional gettext_0.18.1.1-10.debian.tar.gz
 6be6cf487e78d9fac0550cfde2de8926 60498 lisp optional gettext-el_0.18.1.1-10_all.deb
 e958a8cab4774fbd13a8fefe279a5fe4 914392 doc optional gettext-doc_0.18.1.1-10_all.deb
 d4fdae6b6b974e5dffd77155a5a3b6f7 629366 devel optional autopoint_0.18.1.1-10_all.deb
 0b0495052c8d8b7c5103494f7c22290b 154044 utils standard gettext-base_0.18.1.1-10_amd64.deb
 c752fb248d6ef0a3e28b41b12477905d 1814804 devel optional gettext_0.18.1.1-10_amd64.deb
 1b7182ab39b396881dff9b2ec17d4b8f 145002 libs optional libgettextpo0_0.18.1.1-10_amd64.deb
 cea22cf08e083eece3e94b1d8eab057e 27172 libs standard libasprintf0c2_0.18.1.1-10_amd64.deb
 e0f9da3027676a0ed3979a130577b36d 184210 libdevel optional libgettextpo-dev_0.18.1.1-10_amd64.deb
 83de816ab863138352bdedd718ae6b2b 26834 libdevel optional libasprintf-dev_0.18.1.1-10_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBCAAGBQJQtj0GAAoJEEHOfwufG4syRe8IAJfivJApk10RUmSf3zgQNm6A
z7ar3AOs9YtkwmAnt29xIyY0PuwqIH2CqhY3l4HKSFS2yAD8uUtvywAL2pyH0RU7
WYkYbktomIdi63g/jsUTSOrWnWY1wHOs1ftwE0zkeDJNmD8Krj3gTcIXxTJPGJdy
armJ9WDlcv8qRxbZEi5S3dfijavK4YjUsuFuTi8uD4pLOavAmRQgs/11cUQcy/c2
U7Mudt1zNETOvlA2K6qwheZtb8C1p10u1R/rbtG506yaOPxiysNvDXGsgSqUhJ0Y
so8xCM1KEp9wuLovCQodMG6AbrbXrDcW/yHZmO2YIxPxjU2ifK49xOQHKOvvOhY=
=1hVM
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 06 Jan 2013 07:27:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:09:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.